-- Copyright 2012 Alberto Sáez
--
--
-- This file is part of Witchaven the Roguelike.
--
--    Witchaven the Roguelike is free software: you can redistribute it and/or modify
--    it under the terms of the GNU General Public License as published by
--    the Free Software Foundation, either version 3 of the License, or
--    (at your option) any later version.
--
--    Witchaven the Roguelike is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--    GNU General Public License for more details.
--
--    You should have received a copy of the GNU General Public License
--    along with Witchaven the Roguelike.  If not, see <http://www.gnu.org/licenses/>.

weapons = {}
weaponDamages = {}
mapDescriptions = {}
spellNames = {}
potions = {}
morgueMessage = {}
armorNames = {}
shardNames = {}

protoPersonality = {}
enemiesList = {}

ambience = {}

mapDescriptions = {["·"] = "Floor", ["#"] = "Wall", ["<"] = "Dungeon Exit", [">"] = "Map Teleport rune", ["%"] = "Corpse remains", [")"] = "Weapon",
					[","] = "Bloody remains", [":"] = "Bloody remains", ["\""] = "Bloody remains", ["!"] = "Potion", ["?"] = "Scroll", ["["] = "Armor",
					["¥"] = "Fire Brazier", ["±"] = "Impaled Adventurer Corpse", ["Ø"] = "Wooden Barrel", ["÷"] = "Guillotine", ["^"] = "Trap",
					["&"] = "Teleporting Pentagram", ["$"] = "Pile of gold coins", ["~"] = "Pool of Water", [";"] = "Pool of Magma", ["/"] = "Arrow",
					["_"] = "Enchanting Shrine", ["*"] = "Magic Shard"}

armorNames = {["20"] = "Leather Armor", ["30"] = "Chain Mail", ["40"] = "Plate Mail", ["Leather Armor"] = 70, ["Chain Mail"] = 60, ["Plate Mail"] = 50}

morgueMessage[1] = "He was so fool to think he had a chance!!!"
morgueMessage[2] = "He is now an empty carcass being gnawed by the rats..."
morgueMessage[3] = "Nobody will miss him..."
morgueMessage[4] = "He is now another silent inhabitant of Cyrae-Argoth's labirynth."
morgueMessage[5] = "His bones are now decorating some dark room in Cyrae-Argoth's labyrinth"
morgueMessage[6] = "His body is now resting... but will his soul?"

spellNames[1] = "Scare"
spellNames[2] = "Night Vision"
spellNames[3] = "Freeze"
spellNames[4] = "Magic Arrow"
spellNames[5] = "Fly"
spellNames[6] = "Fireball"
spellNames[7] = "Nuke"
spellNames[8] = "Identify"

shardNames[1] = "Shard of Power"
shardNames[2] = "Shard of Life"
shardNames[3] = "Shard of Eternity"

ambience[1] = "You hear wind blowing through a small opening in the wall"
ambience[2] = "Your footsteps reberberate in the far distance"
ambience[3] = "You hear lava bubbling"
ambience[4] = "You smell sulfurous gases"
ambience[5] = "Shivers run through your spine"
ambience[6] = "You see a shadow turn the corner"
ambience[7] = "You hear chains being dragged in the distance"
ambience[8] = "A grimm voice echoes in the corridor"
ambience[9] = "Here the floor is hotter than other parts of the dungeon"
ambience[10] = "You feel like an invisible pressence is observing you"
ambience[11] = "You see here flies around a dry pool of blood"
ambience[12] = "You feel a small tremor to shake slightly the wallks and floor"
ambience[13] = "You hear water falling somewhere"
ambience[14] = "A distant groan awakes your senses"
ambience[15] = "You hear a grunt coming from a near corridor"
ambience[16] = "Walls and floor here is full of humidity"
ambience[17] = "Mold covers the walls here"
ambience[18] = "You smell putrid flesh"
ambience[19] = "A strong far slam frightens you"
ambience[20] = "You hear rocks being dislodged"
ambience[21] = "Strong wind blows here"
ambience[22] = "Soil ground here is much soggy"
ambience[23] = "Walls and floor here are painted with dry blood"
ambience[24] = "You see here some strange runes"
ambience[25] = "You see here a mark as if something big has been dragged around"

potions[1] = {color = {100, 100, 255,255}, name = "Healing"}
potions[2] = {color = {100, 255, 100,255}, name = "Strength"}
potions[3] = {color = {255, 160, 100,255}, name = "Antidote"}
potions[4] = {color = {255, 100, 100,255}, name = "Fire Resistance"}
potions[5] = {color = {190,85,0,255}, name = "Invisibility"}

weapons[1] = {name = "Dagger", breakChance = 35, bdmg = 3}
weapons[2] = {name = "Short Sword", breakChance = 40, bdmg = 4}
weapons[3] = {name = "Morning Star", breakChance = 50, bdmg = 5}
weapons[4] = {name = "Broad Sword", breakChance = 40, bdmg = 4}
weapons[5] = {name = "Battle Axe", breakChance = 35, bdmg = 6}
weapons[6] = {name = "Bow", breakChance = 0, bdmg = 6}
weapons[7] = {name = "Pike Axe", breakChance = 40, bdmg = 6}
weapons[8] = {name = "2H Sword", breakChance = 40, bdmg = 8}
weapons[9] = {name = "Halberd", breakChance = 40, bdmg = 7}

weaponDamages[1] = "a little bit"
weaponDamages[2] = "a bit"
weaponDamages[3] = "quite a bit"
weaponDamages[4] = "a lot"
weaponDamages[5] = "heavily"

protoPersonality[1] = {awakeMessage = "Cyrae-Argoth will not tolerate your heresy!!!", killMessage = "Aaarg... be your soul damned forever...", catchMessage = "You will never flee from Cyrae-Argoth's wrath!!!", attackMessage = "My weapon will soon meet your flesh..."}
protoPersonality[2] = {awakeMessage = "Hey... You can't be here!!!", killMessage = "Nooo please", catchMessage = "You can run but never hide!!!", attackMessage = "Your death will mean my rank uprise!!!"}
protoPersonality[3] = {awakeMessage = "Hey you... You are not allowed here", killMessage = "Bruluaaghh", catchMessage = "Come here... Taste my weapon", attackMessage = "Rend his skin, tear his flesh, break his bones... everything for Cyrae-Argoth!!!"}
protoPersonality[4] = {awakeMessage = "Halt!!!", killMessage = "Killing me will mean nothing. More will come for you!!!", catchMessage = "I will finally catch you and you will pay for your presumptuousness!!!", attackMessage = "I will send your soul to hell forever"}
protoPersonality[5] = {awakeMessage = "Humanoooo Me eat you", killMessage = "Groooann", catchMessage = "No flee... food no fleee", attackMessage = "Eat your heart... eat your brain ... eat your flesh..."}
protoPersonality[6] = {awakeMessage = "", killMessage = "", catchMessage = "", attackMessage = ""}
protoPersonality[7] = {awakeMessage = "Human!!!!", killMessage = "How can you stand against hell's power???", catchMessage = "Soon or later I will devour your body and soul", attackMessage = "Do you hear the death talking to you??"}
protoPersonality[8] = {awakeMessage = "I found you!!", killMessage = "How can this be true??", catchMessage = "I didn't know humans where so coward...", attackMessage = "Fighting a strawman is harder than killing you!!!"}
protoPersonality[9] = {awakeMessage = "At last we meet!!!", killMessage = "This can't be happening... It's supposed I am immortal!!!", catchMessage = "Fleee, little man... Flee. But you will soon perish and pray for your damned soul!!!!", attackMessage = "Mwahahahahah You end is approaching, and I will have no mercy!!!!"}

protoPersonality[10] = {awakeMessage = "There you are!!!", killMessage = "My death will not bring you to your victory!!", catchMessage = "My weapon is thirsty... But it only drinks adventurers' blood.", attackMessage = "You are just another fool who is gonna fall by Cirae-Argoth's will!!!"}
protoPersonality[11] = {awakeMessage = "Ha ha... I got you", killMessage = "Uaaaargg", catchMessage = "No... I won't let you get outa here... alive...", attackMessage = "I will behead you.. and your head will by my next trophy."}
protoPersonality[12] = {awakeMessage = "Kill him!!!", killMessage = "How can this be happening... I'm sorry Cirae... I failed you!!!", catchMessage = "Run, litle fool, run if you can...", attackMessage = "My weapon in your head is the last thing you are going to feel."}
protoPersonality[13] = {awakeMessage = "Rooaaar", killMessage = "Fgsssssshh", catchMessage = "Hummaaaan.... Come... Fire is life... You can't negate life...", attackMessage = "Don't you feel the true power of fire???"}


enemiesList[1] = {name = "Rat", class = "Animal", char = "r", 
				eColor = {170, 80, 0, 255},
				person = 6,
				hp = 5, damage = 2,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[2] = {name = "Willow Wisp", class = "Spirit",  char = "w", 
				eColor = {175, 0, 255, 255},
				person = 6,
				hp = 7, damage = 2,
				ranged = true, rangedAttack = "Electric Blast"}
enemiesList[3] = {name = "Skeleton", class = "Undead",  char = "s", 
				eColor = {188, 188, 188, 255},
				person = 6,
				hp = 10, damage = 2,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[4] = {name = "Ogre", class = "Humanoid",  char = "o", 
				eColor = {230, 200, 180, 255},
				person = 5,
				hp = 15, damage = 3,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[5] = {name = "Imp", class = "Demon",  char = "i", 
				eColor = {150, 210, 10, 255},
				person = 7,
				hp = 7, damage = 2,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[6] = {name = "Lava Fiend", class = "Demon",  char = "F",
				eColor = {255, 0, 0, 255},
				person = 13,
				hp = 25, damage = 5,
				ranged = true, rangedAttack = "Fireball"}
enemiesList[7] = {name = "Mino Drake", class = "Demon",  char = "D",
				eColor = {205, 185, 0, 255},
				person = 8,
				hp = 40, damage = 6,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[8] = {name = "Giryon Mauler", class = "Humanoid",  char = "m",
				eColor = {255, 190, 190, 255},
				person = 1,
				hp = 20, damage = 5,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[9] = {name = "Giryon Warrior", class = "Humanoid",  char = "y",
				eColor = {255, 190, 190, 255},
				person = 3,
				hp = 20, damage = 7,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[10] = {name = "Giryon Knight", class = "Humanoid",  char = "k",
				eColor = {255, 190, 190, 255},
				person = 10,
				hp = 20, damage = 8,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[11] = {name = "Argothonian Boxer", class = "Humanoid",  char = "b",
				eColor = {190, 255, 190, 255},
				person = 4,
				hp = 13, damage = 5,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[12] = {name = "Argothonian Warrior", class = "Humanoid",  char = "a",
				eColor = {190, 255, 190, 255},
				person = 1,
				hp = 13, damage = 8,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[13] = {name = "Argothonian Axe-Thrower", class = "Humanoid",  char = "x",
				eColor = {190, 255, 190, 255},
				person = 11,
				hp = 13, damage = 6,
				ranged = true, rangedAttack = "Pikaxe"}
enemiesList[14] = {name = "Ciraen Pugilist", class = "Humanoid",  char = "p",
				eColor = {190, 190, 255, 255},
				person = 2,
				hp = 16, damage = 5,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[15] = {name = "Ciraen Guardian", class = "Humanoid",  char = "u",
				eColor = {190, 190, 255, 255},
				person = 1,
				hp = 16, damage = 7,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[16] = {name = "Ciraen Archer", class = "Humanoid",  char = "h",
				eColor = {190, 190, 255, 255},
				person = 3,
				hp = 16, damage = 4,
				ranged = true, rangedAttack = "Arrow"}
enemiesList[17] = {name = "Ciraen Sentinel", class = "Humanoid",  char = "S",
				eColor = {190, 190, 255, 255},
				person = 4,
				hp = 16, damage = 6,
				ranged = true, rangedAttack = "Fireblast"}
enemiesList[18] = {name = "Midian Arms Master", class = "Humanoid",  char = "M",
				eColor = {255, 255, 190, 255},
				person = 12,
				hp = 23, damage = 12,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[19] = {name = "Midian Warrior", class = "Humanoid",  char = "W",
				eColor = {255, 255, 190, 255},
				person = 3,
				hp = 23, damage = 11,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[20] = {name = "Midian Bodyguard", class = "Humanoid",  char = "B",
				eColor = {255, 255, 190, 255},
				person = 1,
				hp = 23, damage = 13,
				ranged = false, rangedAttack = "Fireball"}
enemiesList[21] = {name = "Midian Acolyte", class = "Humanoid",  char = "A",
				eColor = {255, 255, 190, 255},
				person = 4,
				hp = 23, damage = 7,
				ranged = true, rangedAttack = "Fireball"}
enemiesList[22] = {name = "Cirae-Argoth", class = "Humanoid",  char = "C",
				eColor = {255, 255, 255, 255},
				person = 9,
				hp = 50, damage = 12,
				ranged = true, rangedAttack = "Dark Bolt"}
