-- Copyright 2012 Alberto Sáez
--
--
-- This file is part of Witchaven the Roguelike.
--
--    Witchaven the Roguelike is free software: you can redistribute it and/or modify
--    it under the terms of the GNU General Public License as published by
--    the Free Software Foundation, either version 3 of the License, or
--    (at your option) any later version.
--
--    Witchaven the Roguelike is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--    GNU General Public License for more details.
--
--    You should have received a copy of the GNU General Public License
--    along with Witchaven the Roguelike.  If not, see <http://www.gnu.org/licenses/>.

gui = {}

function gui.draw()
	local hudLine = 0
	
	color (255,255,255,255)
	love.graphics.setFont(HUDFont)
	
	lprint("Level:" .. player.level, screenWidth-280, 20 + hudLine)
	lprint("Exp:" .. player.exp .. "|" .. player.expToLevel, screenWidth-210, 20 + hudLine)
	lprint("DLvl:" .. player.depth .. "|15", screenWidth-100, 20 + hudLine)
	hudLine = hudLine + 15
	
	lprint("Health: " .. player.health .. "/" .. player.maxHealth, screenWidth-280, 30 + hudLine)
	
	if player.hasPentagram then
		color(255, 240, 190, 255)
		lprint("&", screenWidth-70, 25 + hudLine, 0, 1.5, 1.5)
	end
	
	color(255,255,255,255)
	hudLine = hudLine + 20
	if player.invis > 0 then
		color ({190,85,0,255})
		lprint("Invi", screenWidth-280, 30 + hudLine)
	end
	if player.poison > 0 then
		color ({255, 160, 100,255})
		lprint("Pois", screenWidth-230, 30 + hudLine)
	end
	if player.strMod > 0 then
		color ({100, 255, 100,255})
		lprint("Stre", screenWidth-180, 30 + hudLine)
	end
	hudLine = hudLine + 18
	if player.vision > 0 then
		color ({190,190,255,255})
		lprint("Visi", screenWidth-280, 30 + hudLine)
	end
	
	color (255,255,255,255)
	lprint("Arrows: ", screenWidth-280, 80 + hudLine)
	if player.arrows > 0 then
		for i = 1, player.arrows do
			color(255 - player.arrows*20, 55 + player.arrows*20, 0, 255)
			lprint("|", screenWidth-215 + i*5, 80 + hudLine)
		end
	else
		color(255, 255, 255, 255)
		lprint("none", screenWidth-215, 80 + hudLine)
	end
	hudLine = hudLine + 15
	
	color (255,255,255,255)
	lprint("Pikaxes: ", screenWidth-280, 95 + hudLine)
	if player.axes > 0 then
		for i = 1, player.axes do
			color(255 - player.axes*20, 55 + player.axes*20, 0, 255)
			lprint("|", screenWidth-215 + i*5, 95 + hudLine)
		end
	else
		lprint("none", screenWidth-215, 95 + hudLine)
	end
	
	color(255, 255, 255, 255)
	
	lprint("Potions", screenWidth-280, 135 + hudLine)
	hudLine = hudLine + 15
	lprint("-------", screenWidth-280, 135 + hudLine)
	hudLine = hudLine + 15
	for i = 1, 5 do
		color(potions[i].color)
		lprint(playerPotions[i], screenWidth-280 + (i-1)*20, 135 + hudLine)
	end
	
	color({255,255,255,255})
	
	lprint("SCR", screenWidth-280, 200 + hudLine)
	lprint("NVS", screenWidth-240, 200 + hudLine)
	lprint("FRZ", screenWidth-200, 200 + hudLine)
	lprint("MRW", screenWidth-160, 200 + hudLine)
	hudLine = hudLine + 15
		lprint(player.spells[1], screenWidth-272, 200 + hudLine)
		lprint(player.spells[2], screenWidth-232, 200 + hudLine)
		lprint(player.spells[3], screenWidth-192, 200 + hudLine)
		lprint(player.spells[4], screenWidth-152, 200 + hudLine)
		
	hudLine = hudLine + 25
	lprint("FLY", screenWidth-280, 200 + hudLine)
	lprint("FRB", screenWidth-240, 200 + hudLine)
	lprint("NUK", screenWidth-200, 200 + hudLine)
	lprint("IDF", screenWidth-160, 200 + hudLine)
	hudLine = hudLine + 15
		lprint(player.spells[5], screenWidth-272, 200 + hudLine)
		lprint(player.spells[6], screenWidth-232, 200 + hudLine)
		lprint(player.spells[7], screenWidth-192, 200 + hudLine)
		lprint(player.spells[8], screenWidth-152, 200 + hudLine)
		
	color(255, 0, 0, 255)
	lprint("SOP: " .. player.jop, screenWidth-280, screenHeight - 230)
	color(0, 255, 175, 255)
	lprint("SOL: " .. player.jol, screenWidth-200, screenHeight - 230)
	color(255, 125, 255, 255)
	lprint("SOE: " .. player.joe, screenWidth-120, screenHeight - 230)
	
	color(255, 255, 255, 255)
	lprint("Armor: " .. armorNames[tostring(playerArmor.defense)] .. "\nDef: " .. playerArmor.defense .. "%   Res: " .. 100 - playerArmor.resistance .. "%   Dur: " .. playerArmor.durability .. "%", 
			screenWidth-280, screenHeight - 190)
	
	inventory.drawWeapon()
	
	if player.shrineMod > 0 then
		color({0, math.random(245, 255), math.random(190, 200), math.floor(player.shrineMod/3)})
		rectangle("fill", 0, 0, screenWidth, screenHeight)
	end
end
