projectiles = {}
doTurn = false

function projectiles.add(x0, y0, x1, y1, damage, hitMessage, isArrow, pColor)
	if viewMap[y1][x1] == 1 then
		if pColor == nil then pColor = {255,255,255,255} end
		
		table.insert(projectiles, {x0 = x0, y0 = y0, x1 = x1, y1 = y1, damage = damage, hitMessage = hitMessage, isArrow = isArrow, pColor = pColor})
	else
		logMessage("Your arrow can't reach that spot")
	end
end

function projectiles.move()
	while table.getn(projectiles) > 0 do
		for i,v in ipairs(projectiles) do
			if v.x0 ~= v.x1 or v.y0 ~= v.y1 then
				thisP = line(v.x0, v.y0, v.x1, v.y1)
				v.x0 = thisP[2][1]
				v.y0 = thisP[2][2]
				
				color(v.pColor)
				lprint("+", (fontSize - 5)*v.x0+1, (fontSize - 5)*v.y0+1)
				
				projectiles.checkEntity(v.x0, v.y0, v.damage, v.hitMessage, isArrow)
			else
				if v.isArrow and math.random(1, 100) <= 10 then
					inventory.addItemToMap("/", {235, 180, 80, 255}, v.x0, v.y0, "r", true, 0, 0, 0, 0)
				end
				table.remove(projectiles, i)
			end
		end
	end
	
	if doTurn == true then
		game.turn()
	end
end

function projectiles.checkEntity(x, y, damage, hitMessage, isArrow)
	if player.x == x and player.y == y then
		player.inflictDamage(damage)
		logMessage(hitMessage .. " hits you!!", {255, 0, 0, 255})
		hitSomething = true
	end
	for i,v in ipairs(enemyList) do
		if v.x == x and v.y == y then
			v.hp = v.hp - damage
			logMessage(hitMessage .. " " .. v.name)
			hitSomething = true
		end
	end
end
